Skip to main content
POST
Add an alert rule over one project (owners, admins)

Authorizations

apsio_session
string
cookie
required

The console session, set by /v1/auth/callback (__Host-apsio_session when host-only).

Path Parameters

orgId
string
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"0192f3a4-0000-7000-8000-00000000a001"

Body

application/json
project_id
string
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
preset
enum<string>
required
Available options:
crash_free_below,
new_issue,
issue_spike,
endpoint_failure_above
params
object
required

The preset's parameters. crash_free_below: threshold_percent (50 to 99.99), window_hours (1 to 168, default 24), min_sessions (default 100), release. new_issue: min_occurrences (default 1), release. issue_spike: factor (2 to 1000, default 5; the last hour against the 7-day hourly mean), min_occurrences (default 20). endpoint_failure_above: threshold_percent (0.1 to 100), window_hours (1 to 24, default 1), min_requests (default 100), method, host, template.

Example:
destination_id
string
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
app_id
string | null
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
cooldown_minutes
integer
Required range: 5 <= x <= 10080
enabled
boolean
muted_until
string<date-time> | null

Muted until then (at most 30 days); null unmutes.

Response

201

The rule